/*
uttegning av et histogram fra datasett DS, 
plassert med Top,Left,Width,Height
*/
function tegnHistogram(DS,L,T,W,H){
	push();
	translate(L,T);
	textSize(10);
	// konstanter som gir oss rammer
	// for uttegningen
	var marginL=30;
	var marginT=50;
	var marginR=10;
	var marginB=30;

	// ram det inn
	noFill();
	rect(0,0,W-1,H-1);
	// noen variable for å lette resonnementet
	// indre rektangel innenfor margene
	var innerL=marginL;
	var innerT=marginT;
	var innerH=H-marginT-marginB;
	var innerW=W-marginL-marginR;
	var innerB=H-marginB;
	
	// legger til 10 for å få en 
	// markering over største verdi
	var maxVerdi=DS.getMaxVerdi()+10;
	
	// x-aksen med søyler
	line(innerL,innerB,innerL+innerW,innerB);
	var antall=DS.getAntallVerdier();
	var dx=innerW/antall;
	for(var i=0; i< antall; i++){
		var yval=map(DS.getVerdi(i),0,maxVerdi,0,innerH);
		fill(DS.getFarge(i));
		rect(innerL+i*dx+1,innerB-1,dx,-yval);
		// under søylen og aksen
		textAlign(CENTER,TOP);
		fill(0);
		text(DS.getNavn(i),innerL+i*dx+dx/2,innerB+10);
		// over søylen
		textAlign(CENTER,BOTTOM);
		fill(0);
		// formaterer med en desimal
		text(parseFloat(DS.getVerdi(i)).toFixed(1),
		     innerL+i*dx+dx/2,innerB-yval);
	}

	// y-aksen
	line(innerL,innerT,innerL,innerT+innerH);
	// marker hver 10.
	for(var i=0; i <= maxVerdi; i+=10){
		var yval=map(i,0,maxVerdi,0,innerH);
		stroke(200);
		line(innerL,innerB-yval,innerL+innerW,innerB-yval);
		textAlign(RIGHT,CENTER);
		fill(0);
		text(""+i,innerL-2,innerB-yval);
	}
	
	// tittel
	textAlign(CENTER,TOP);
	textSize(15);
	fill(0);
	text(DS.getTittel(),W/2,5);
	pop();
}